Bug 462542 - nabi install alternatives error
nabi install alternatives error
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nabi (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 20:06 EDT by sangu
Modified: 2009-06-21 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-21 22:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2008-09-16 20:06:22 EDT
Description of problem:
$ rpm -ihv nabi-0.18-9.fc9.i386.rpm 
Preparing...                ########################################### [100%]
   1:nabi                   ########################################### [100%]
failed to read link /etc/X11/xinit/xinput.d/ko_KR: No such file or directory

$ ls -al /etc/X11/xinit/xinput.d/ko_KR 
lrwxrwxrwx 1 root root 30 2008-09-17 08:45 /etc/X11/xinit/xinput.d/ko_KR -> /etc/alternatives/xinput-ko_KR

Then, when installing scim, scim scriptlet remove /etc/alternatives/xinput-ko_KR
$ rpm -q --scripts scim 
postinstall scriptlet (using /bin/sh):
# remove old xinput.d alternatives
for llcc in ja_JP ko_KR zh_CN zh_HK zh_TW as_IN bn_IN gu_IN hi_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN ne_NE si_LK th_TH vi_VN; do
   /usr/sbin/alternatives --remove xinput-$llcc /etc/X11/xinit/xinput.d/scim &>/dev/null || :
   # if alternative was set to manual scim, reset to auto
   [ -L /etc/alternatives/xinput-$llcc -a "`readlink /etc/alternatives/xinput-$llcc`" = "/etc/X11/xinit/xinput.d/scim" ] && /usr/sbin/alternatives --auto xinput-$llcc &>/dev/null || :
done

And wrong symbolic link 
$ ls  -al /etc/alternatives/xinput-ko_KR
lrwxrwxrwx 1 root root 33 2008-09-17 08:45 /etc/alternatives/xinput-ko_KR -> /etc/X11/xinit/xinput.d/nabi.conf

$ LANG=C ls -al /etc/X11/xinit/xinput.d/nabi.conf
ls: cannot access /etc/X11/xinit/xinput.d/nabi.conf: No such file or directory

Version-Release number of selected component (if applicable):
0.18-9.fc9

How reproducible:
always

Steps to Reproduce:
1. $ rpm -ihv nabi
2.
3.
  
Actual results:


Expected results:


Additional info:
nabi's latest version is 0.99.2 ( http://kldp.net/frs/download.php/4619/nabi-0.99.2.tar.gz ).
Comment 1 Subhransu Behera 2008-09-25 04:49:35 EDT
Hi,

Will build the new version shortly.
Comment 2 Jens Petersen 2008-10-28 06:18:10 EDT
I just built libhangul-0.0.8 and nabi-0.99.2 in rawhide.
Comment 3 Jens Petersen 2008-10-28 06:47:20 EDT
I can't reproduce this.  The symlinks are quite intentional since nabi only works under XIM with ko locale AFAIK.
Comment 4 sangu 2008-10-28 08:21:50 EDT
(In reply to comment #3)
> I can't reproduce this.  The symlinks are quite intentional since nabi only
> works under XIM with ko locale AFAIK.
$ rpm -ihv nabi-0.18-9.fc9.i386.rpm 
warning: nabi-0.18-9.fc9.i386.rpm: Header V3 DSA signature: NOKEY, key ID 0b86274e
Preparing...                ########################################### [100%]
   1:nabi                   ########################################### [100%]
failed to read link /etc/X11/xinit/xinput.d/ko_KR: No such file or directory

ko_KR is broken smybolic link.
$ ls -al  /etc/X11/xinit/xinput.d/ko_KR
lrwxrwxrwx 1 root root 30 2008-10-28 21:14 /etc/X11/xinit/xinput.d/ko_KR -> /etc/alternatives/xinput-ko_KR

$ ls -al /etc/alternatives/xinput-ko_KR
lrwxrwxrwx 1 root root 33 2008-10-28 21:14 /etc/alternatives/xinput-ko_KR -> /etc/X11/xinit/xinput.d/nabi.conf

$ ls -al /etc/X11/xinit/xinput.d/nabi.conf
ls: cannot access /etc/X11/xinit/xinput.d/nabi.conf: No such file or directory

And /etc/alternatives/xinput-ko_KR is obsolete( xinput-ko_KR is removed by scim).
Comment 5 Jens Petersen 2008-11-06 22:25:15 EST
Is this from a fresh rawhide install?  I don't know how to reproduce this.

If not, could you attach a list of all packages you have installed (maybe as a compressed file).
Comment 6 Bug Zapper 2008-11-25 22:06:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jens Petersen 2009-02-09 01:09:25 EST
Still no idea how to reproduce.  Works for me.

What happens if you remove nabi and install it again?

Note You need to log in before you can comment on or make changes to this bug.